package com.yeejoin.amos.maintenance.business.param;

import com.yeejoin.amos.maintenance.core.common.request.CommonPageable;

public class CheckPtListPageParam extends CommonPageable {
	
	/**
	 * 巡检类型
	 */
	private String checkType;
	/**
	 * 部门
	 */
	private String groupId;
	
	private String groupName;

	/**
	 * 机构
	 */
	private String orgCode;
	
	/**
	 * 人员编号
	 */
	private String userId;
	/**
	 * 应用编号
	 */
	private String companyId;
	/**
	 * 状态
	 */
	private String checkStatus;
	/**
	 * 巡检日期
	 */
	private String checkDate;
	/**
	 * 巡检点名称
	 */
	private String name;
	
	/**
	 * 巡检系统数据权限
	 */
	private String power;
	
	/**
    *巡检点
	*/
	private String Level;
	
	private int PointId;
	
	public String getPower() {
		return power;
	}
	public void setPower(String power) {
		this.power = power;
	}
	public String getCheckDate() {
		return checkDate;
	}
	public void setCheckDate(String checkDate) {
		this.checkDate = checkDate;
	}
	public String getCheckType() {
		return checkType;
	}
	public void setCheckType(String checkType) {
		this.checkType = checkType;
	}
	
	public String getGroupId() {
		return groupId;
	}
	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getCompanyId() {
		return companyId;
	}
	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	public String getCheckStatus() {
		return checkStatus;
	}
	public void setCheckStatus(String checkStatus) {
		this.checkStatus = checkStatus;
	}	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getLevel() {
		return Level;
	}
	public void setLevel(String level) {
		Level = level;
	}
	public int getPointId() {
		return PointId;
	}
	public void setPointId(int pointId) {
		PointId = pointId;
	}
	public String getGroupName() {
		return groupName;
	}
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

}
